Eclipse PDE Release 3.7

## org.eclipse.pde.core.project
Interface IPackageExportDescription

    public interface IPackageExportDescription

Describes a package export. Instances of this class can be created via `IBundleProjectService.newPackageExport(String, Version, boolean, String[])`.

Since:
  3.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`String[]` `getFriends()` Returns the declared friends of this package or `null` if none.
`String` `getName()` Returns the fully qualified name of the exported package.
`Version` `getVersion()` Returns the version of the exported package or `null` if unspecified.
`boolean` `isApi()` Returns whether the package is exported as API, or is internal.

Method Detail

### getName

    String getName()

  Returns the fully qualified name of the exported package.

  Returns:
    fully qualified name of the exported package

### getVersion

    Version getVersion()

  Returns the version of the exported package or `null` if unspecified.

  Returns:
    version or `null`

### getFriends

    String[] getFriends()

  Returns the declared friends of this package or `null` if none.

  Returns:
    friends as bundle symbolic names or `null`

### isApi

    boolean isApi()

  Returns whether the package is exported as API, or is internal.

  Returns:
    whether the package is exported as API

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.